Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Jul 2014, 12:09
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Printers
Request CUPS compiled HP LaserJet 1020 driver/firmware
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 4 [54 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Author Message
phi_t_thuy

Joined: 12 Jul 2007
Posts: 24

PostPosted: Mon 27 Aug 2007, 20:41    Post subject: HP LaserJet 1020  

Firmware is not automatically loaded.

FuturePerfect:
Please let me know how to fix this.
Could you maybe confirm/fix by just sending me a script to click on so I can load the firmware from Puppy to the 1020 before I print?

I also use a HP 1020 USB Port, it does not print when I click on 'Print test page'.

I tried with Ubuntu 7.04, it can print correctly with firmware loaded automatically.
How to do this on Puppy PC?

Thanks,


August 31, 2007

My God, it works!!!

I missed reading carefully previous instruction.

In summary:

1. I downloaded foo2zjs-i486.pet from http://www.doubleburgerbar.com/pets
2. And downloaded foo2zjs.tar.gz
3. I complied it with : make && make install -hotplug
4. Ran CUPS
5. Then selected Printer - Set it default - Printed a test page.

It printed promptly.
Back to top
View user's profile Send private message 
koker

Joined: 19 Oct 2007
Posts: 11

PostPosted: Wed 07 Nov 2007, 20:10    Post subject: make install and make install-hotplug  

Hello, Futureperfect, husspuppy, and phi_t_thuy

I,ve been reading these dialogs about installing the HP 1020, and try to do ir on a 2.17 and 3.01 and I,ve had some problems:

a) when I,ve install only the pet make for husspuppies I haven't got any thing.

b) when I've install later the a) the foo2zfjs.tar.gz I,ve not got 'make install' because it's not found the 'lp user'

c) when I've 'make install-hotplug' it's said about it's not installed vi or vim

d) I,ve not found the /etc/rc.d/rc.cups for doing /etc/rc.d/rc.cups restart


If I put it together one day I get other hp 1000 (usb aswell) works downloading the pet in puppy 300 old kernel and upgrading to 301 new kernel, I've no idea how can begin again to do it.

I've some questions:

Must I install only the foo2zjs.pet or later compile (over it) the foo2zjs.tar.gz as phi_t_thuy says he did.?

If it doesn't work, how can I modify the code for not to be asked for about the lp user and the vi or vim editor.?

Must work the foo2zjs.pet with other puppies different to 2.17?

I know this looks more like an exam than a question but I really don't know where I fail.

Thanks in advance. koker
Back to top
View user's profile Send private message 
Turpin


Joined: 16 May 2007
Posts: 117

PostPosted: Mon 14 Apr 2008, 15:16    Post subject:  

I have a Laserjet 1018. I had it working somehow in one of my past Puppy attempts that have since been wiped out. Can't remember how I did it. I wish the download link in this thread still worked.
I reread the purple instruction window in Puppy, and it instructed me to find a ppd file for my printer and copy it to the /usr/share/cups/model folder, I went back through the printer install process, it showed up as one of the options in the wizard this time, chose that, but it still just sits there when I try to print a test page.

Is this pet still available? The download link doesn't work. DOes anyone still have it? Can I get it from you? PM me maybe?
Whoah, okay, the link just showed up. That's weird, but no complaints. I wonder how some links can do that.
http://www.doubleburgerbar.com/pets/foo2zjs-i486.pet is the link.
Back to top
View user's profile Send private message 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 17 Apr 2008, 06:03    Post subject:  

Hi first read this http://foo2zjs.rkkda.com/cups/
It shows you how to configure the driver Smile
The driver you want is included, Just extract it to the right folder and follow the install instructions on the website I just posted.
ttuuxxx

the driver can be downloaded here
http://www.linuxpackages.net/pkg_details.php?id=12056

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Wolf Pup

Joined: 27 Apr 2006
Posts: 637

PostPosted: Sat 19 Apr 2008, 14:40    Post subject:  

HPIJS supports your printer, http://www.murga-linux.com/puppy/viewtopic.php?t=26565
_________________

Visit The Repository - Helpful and hard-to-find treats for Puppy 3.
Click Here for Puppy Support Chat, + Helpful Links.
Back to top
View user's profile Send private message 
Antonio GR

Joined: 15 Oct 2008
Posts: 7

PostPosted: Wed 15 Oct 2008, 13:25    Post subject: Can't compile driver for LaserJet 1018 driver / firmware  

Dear Sirs:

Sorry, but I have almost the same question that the first message of this treat.

I have a HP LaserJet 1018 in a windows machine into a shared network.

I have NO problems if I printing from UBUNTU, but in Puppy seems to be a litte more dificult.

The problem I have (until now) is triyng to compile the driver from the foo2zjs file.

Acording their page (http://foo2zjs.rkkda.com) I follow the steeps into the 'rxvt terminal'.

The commands that I did sucesfully (I hope):
wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz
(download)
tar zxf foo2zjs.tar.gz
foo2zjs
(unpack the file)

The problem comes with I try to 'compile' the file writting in the terminal: 'make'.

The terminal returns this error message:
'bash: make: command not found'

I hope if I have this error, I will be unable to continue.

I read that HPIJS may be do the work of compilling this driver (as the 1020) but, following the link tread I'm unable to know how install of the next step(s) to configure / install / install the firmware / etc, etc. needed.

Sorry for double ask for this, I'm sure that this a wrong procedure from my side.

Antonio
Back to top
View user's profile Send private message MSN Messenger 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 16 Oct 2008, 07:18    Post subject: Re: Can't compile driver for LaserJet 1018 driver / firmware  

Antonio GR wrote:
Dear Sirs:

Sorry, but I have almost the same question that the first message of this treat.

I have a HP LaserJet 1018 in a windows machine into a shared network.

I have NO problems if I printing from UBUNTU, but in Puppy seems to be a litte more dificult.

The problem I have (until now) is triyng to compile the driver from the foo2zjs file.

Acording their page (http://foo2zjs.rkkda.com) I follow the steeps into the 'rxvt terminal'.

The commands that I did sucesfully (I hope):
wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz
(download)
tar zxf foo2zjs.tar.gz
foo2zjs
(unpack the file)

The problem comes with I try to 'compile' the file writting in the terminal: 'make'.

The terminal returns this error message:
'bash: make: command not found'

I hope if I have this error, I will be unable to continue.

I read that HPIJS may be do the work of compilling this driver (as the 1020) but, following the link tread I'm unable to know how install of the next step(s) to configure / install / install the firmware / etc, etc. needed.

Sorry for double ask for this, I'm sure that this a wrong procedure from my side.

Antonio


Hi I compiled it for you.
Most files will be located in
/usr/bin
/bin/
/usr/share
Hope this helps
Oh ya you don't have a compiler installed by default, you need to download and install a compile matching what version of puppy your using
I'm using 4.0 at the moment so the compiler I have installed is devx_400.sfs
ttuuxxx
foo2zjs-0.75-i686.pet
Description 
pet

 Download 
Filename  foo2zjs-0.75-i686.pet 
Filesize  535.32 KB 
Downloaded  942 Time(s) 

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Antonio GR

Joined: 15 Oct 2008
Posts: 7

PostPosted: Thu 16 Oct 2008, 08:10    Post subject: HP LaserJet 1018 working!  

Dear ttuuxxx:

Thanks a lot for your help and your time!

Now, my printer (LaserJet 1018) located in a shared xp windows network are working (I'm able to print from other PC with puppy 4.01).

I try to tell the procedure I did (If some are wrong, sorry, because there are a few steps that I hope don't must work, but...):

1.- First read the threat 'How to Access a Windows Shared Printer from Puppy 4'
http://www.murga-linux.com/puppy/viewtopic.php?t=29208

2.- Try to install the foo2zjs linux printer driver for this printer:
http://foo2zjs.rkkda.com/

3.- As I said in the previous message, if I write the steps to install this driver into the Rxvt terminal i get errror if I try to wrihte 'make', so I try to go to the directory where this driver is donwloaded and unpacket and (into ROX file manager => windows => shell terminal) I write the others commands:
Compile:
$ make

Get extra files from the web, such as .ICM profiles for color correction,
and firmware. Select the model number for your printer:
$ ./getweb 2430 # Get Minolta 2430 DL .ICM files
$ ./getweb 2300 # Get Minolta 2300 DL .ICM files
$ ./getweb 2200 # Get Minolta 2200 DL .ICM files
$ ./getweb cpwl # Get Minolta Color PageWorks/Pro L .ICM files

$ ./getweb 1020 # Get HP LaserJet 1020 firmware file
$ ./getweb 1018 # Get HP LaserJet 1018 firmware file
$ ./getweb 1005 # Get HP LaserJet 1005 firmware file
$ ./getweb 1000 # Get HP LaserJet 1000 firmware file

Install driver, foomatic XML files, and extra files:
$ su OR $ sudo make install
# make install

(Optional) Configure hotplug (USB; HP LJ 1000/1005/1018/1020):
# make install-hotplug OR $ sudo make install-hotplug

After that I'm able to add the printer into CUP'S printer wizard (selecting 'printing via Samba', founding the right driver for my printer 'a mistery' for me, but...

I did a print a text page (from CUPS) and some print text documents
from Abiword sucessfully.

If this 'chaotic' and 'non logical' procedure work for others, perfect!

So, until now I don't need your pep BUT I you think that it should be a good idea check this pep, please tell me how do it WITHOUT destroying my 'miracle-printer-configuration'.

Another question. If you suppy a pep, this is not a kind of .exe (windows therminology)?!?

A pet MUST be 'executed' from a compiller?

Again a million of thanks for your help!
Back to top
View user's profile Send private message MSN Messenger 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 16 Oct 2008, 08:16    Post subject: Re: HP LaserJet 1018 working!  

double post Shocked
_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile


Last edited by ttuuxxx on Thu 16 Oct 2008, 08:20; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
ttuuxxx


Joined: 05 May 2007
Posts: 10747
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 16 Oct 2008, 08:18    Post subject: Re: HP LaserJet 1018 working!  

Antonio GR wrote:
Dear ttuuxxx:

Thanks a lot for your help and your time!

A pet MUST be 'executed' from a compiller?

Again a million of thanks for your help!


No "Pet" files are official puppy packages that are already compiled, Kind of like a .exe on windows. you just click on them and it starts puppy package manager. Which guides you along the way. Its very simple Smile
Also once installed you can always uninstall it by opening the package manager up and clicking on the file you want to uninstall.
Very simple just like windows.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Back to top
View user's profile Send private message Visit poster's website 
Antonio GR

Joined: 15 Oct 2008
Posts: 7

PostPosted: Thu 16 Oct 2008, 12:12    Post subject:  

Quote:
Hi I compiled it for you.
Most files will be located in
/usr/bin
/bin/
/usr/share
Hope this helps
Oh ya you don't have a compiler installed by default, you need to download and install a compile matching what version of puppy your using
I'm using 4.0 at the moment so the compiler I have installed is devx_400.sfs
ttuuxxx


Dear ttuuxxx:

ok. Thanks for the explanation.

As I was thinking a pep don't need a 'compiler' to be executed / instaled, etc.

So, why you put that I must install a compiller? (sorry my English, I was thinking that I need install a compiller to run your .pep).

If you may tell me why, THEN, need a compiller?
To 'transform a standard linux program' readable/compatible to puppy?

May you tell me when I may find a link to learn to 'compile' programs (may be it's not so ussual, but a link may clarify all my questions).

Sorry for this cascade of 'newie questions' and sorry because that are 'out of this thread'... (only to try to clarify to another newie as me, I hope...)

Again thanks for your help.
Back to top
View user's profile Send private message MSN Messenger 
Antonio GR

Joined: 15 Oct 2008
Posts: 7

PostPosted: Thu 16 Oct 2008, 12:28    Post subject: link found!  

Quote:
May you tell me when I may find a link to learn to 'compile' programs (may be it's not so ussual, but a link may clarify all my questions)?


found a link!

how to compile source and install new program


Antonio
Back to top
View user's profile Send private message MSN Messenger 
Antonio GR

Joined: 15 Oct 2008
Posts: 7

PostPosted: Mon 20 Oct 2008, 14:00    Post subject: laserjet 1018 not print in gimp or mtPaint  

Quote:
Hi I compiled it for you.
Most files will be located in
/usr/bin
/bin/
/usr/share
Hope this helps


Dear ttuuxxx:

I just downloaded your pet into my root account and then 'executed' it (double click).

I find files related with '1018' into these directories:
1.- usr/lib/cups/backend/foo2zjs/PPD (where I found the driver, the file HP-LaserJet_1018.ppd)

2.- usr/lib/cups/backend/foo2zjs/foomatic-db/printer/ (a file called HP-LaserJet_1018.xml)

According the treat:
How to Access a Windows Shared Printer from Puppy 4

the driver must be into the directory /usr/share/cups/model

in this directory there are only a 'symbolic link' to /usr/share/ppd

as this link seems to not be well 'redirected' I only copied the file HP-LaserJet_1018.ppd to the dir-> /usr/share/cups/model

So, after restart cups I'm able to:

- Print a text page
- Print a page edited by Abiword

BUT I CAN'T PRINT a image file (.jpg) in gimp or mtPaint.

The status of the printer (if I go to CUPS) is:
Printer State: idle, accepting jobs.
"Can not get the ticket cache for root"

What is wrong?

May be I must change the 'symbolic link' that your pet is created in the directory /usr/share/cups/model? how? with directory?

Sorry for disturb again.

Antonio
Back to top
View user's profile Send private message MSN Messenger 
canbyte


Joined: 10 Jan 2009
Posts: 266
Location: Hamilton, Canada

PostPosted: Tue 10 Feb 2009, 23:57    Post subject:  

Hi ttuuxx, futureperfect, antonio, hushpuppy et al

Any possibility of revitalizing this thread to adapt it to this driver from the same author
[url]
http://foo2hiperc.rkkda.com/[/url]

Its a bit confusing because he says
Quote:
DON'T USE the foo2zjs package from:
Ubuntu, SUSE, etc
*** Download it here and follow the directions below.


then he goes on to instruct to download
$ wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz

Looks like the same thing to me but its supposed to be for my oki 3400n??? foo2hiperc???

Anyway, someone said they would post an instruction page summarizing how to do all this and i'm hoping you can point me to it or otherwise help me get started. Its a bit daunting given the need to compile but i should be able to follow instructions if there are any.

Am rather desperate to get the oki running as i can't afford to replace it. After this, i should be able to help out posting stuff for the wiki or manual. Thanks
[/quote]
Back to top
View user's profile Send private message 
mauritroviano

Joined: 04 Apr 2009
Posts: 1

PostPosted: Sat 04 Apr 2009, 15:27    Post subject: hotplug hp1020
Subject description: hotplug hp1020
 

Hi, I could hotplug the hp1020 in the following way:
- download and install http://www.doubleburgerbar.com/pets/foo2zjs-i486.pet
- download and unzip http://foo2zjs.rkkda.com/foo2zjs.tar.gz

- create new directory /etc/hotplug/usb

-go to foo2zjs folder unziped and copy the file hplj1000 to /etc/hotplug/usb folder

-go to foo2zjs folder unziped and copy the file hplj10xx.rules to /etc/udev/rules.d/11-hplj10xx.rules file

-ln the terminal: ln -sf /etc/hotplug/usb/hplj1000 /etc/hotplug/usb/hplj1020

Now, try to turn off and turn on the printer. The leds would poweron and poweroff (yellow and green).

I dont know, but the packager could include this in the pet package.

Note: I follow the makefile foo2zjs for realize this hotplug.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 4 [54 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Printers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1168s ][ Queries: 13 (0.0122s) ][ GZIP on ]